<template>
  <span :style="style">{{row[column]}}</span>
</template>
<script setup>
  import { useStore } from '~/stores/index'
  const store = useStore()
  const emit = defineEmits(["clickevent"])
  const props = defineProps({
    row: Object,
    field: String,
    column: String,
    param: String
  })
  const params = store[props.param]
  const found = params.find(v=>props.row[props.field]===v.id)
  const style = found? `color:${found.color}` : undefined 
</script>